#ifndef __MYSQLCPPAPI_time_base_hh__
#define __MYSQLCPPAPI_time_base_hh__

#include "mysqlcppapi/datetime/datetime_base.h"

namespace mysqlcppapi
{

class time_base : virtual public datetime_base
{
public:
  time_base();
  virtual ~time_base();

  typedef short int tiny_int;
  tiny_int hour;
  tiny_int minute;  
  tiny_int second;

  std::ostream& out_stream(std::ostream& str) const;
  std::string::size_type convert(const std::string& str);
  
protected:
  short int compare(const time_base* other) const;
};  

} //namespace


#endif //__time_base_hh__

